Patchwork [Maverick,SRU,1/1] UBUNTU: Remove conflicts statements for compat-wireless meta packages

login
register
mail settings
Submitter Leann Ogasawara
Date Dec. 2, 2010, 2:11 a.m.
Message ID <1291255897.2385.3029.camel@emiko>
Download mbox
Permalink /patch/73926/
State Accepted
Headers show

Pull-request

git://kernel.ubuntu.com/ogasawara/ubuntu-maverick-meta.git lp683944

Comments

Leann Ogasawara - Dec. 2, 2010, 2:11 a.m.
BugLink: http://bugs.launchpad.net/bugs/683944

SRU Justification:

Examining the Maverick compat-wireless LBM meta packages it appears the
'Conflicts:' statements in each of the debian/control.d flavours is
unnecessary. The LBM packages themselves already have the appropriate
'Conflicts:' statements. Furthermore, they are coded in only one
location in each of the LBM packages
(debian/control.d/flavour-control.stub) which is much simpler to track
and update vs multiple separate files in each of the meta package
flavours.

Impact: For Maverick there is zero impact as the 'Conflicts:' statements
are already commented out. The patch for Maverick just removes the
commented out statements thus preventing them for possibly being enabled
in the future.

Test Case: Maverick currently only enables the 2.6.36 compat-wireless
package (2.6.37 will be enabled once it's final).  Thus there is no test
case at this time, as it won't conflict with anything.

The following changes since commit 7129fb4c2565b3a5f6f864efbd96338313aef33c:

  UBUNTU: Ubuntu-2.6.35.24.28 (2010-11-30 19:41:09 -0800)

are available in the git repository at:
  git://kernel.ubuntu.com/ogasawara/ubuntu-maverick-meta.git lp683944

Leann Ogasawara (1):
      UBUNTU: Remove conflicts statements for compat-wireless meta packages

 meta-source/debian/control.d/generic     |    2 --
 meta-source/debian/control.d/generic-pae |    2 --
 meta-source/debian/control.d/server      |    2 --
 3 files changed, 0 insertions(+), 6 deletions(-)

From fa939977fa5f68fc99bd2134179eca03d236177a Mon Sep 17 00:00:00 2001
From: Leann Ogasawara <leann.ogasawara@canonical.com>
Date: Wed, 1 Dec 2010 17:23:45 -0800
Subject: [PATCH] UBUNTU: Remove conflicts statements for compat-wireless meta packages

BugLink: http://bugs.launchpad.net/bugs/683944

Examining the compat-wireless LBM meta packages it appears the
'Conflicts:' statements in each of the debian/control.d flavours is
unnecessary. The LBM packages themselves already have the appropriate
'Conflicts:' statements.  Furthermore, they are coded in only one
location in each of the LBM packages
(debian/control.d/flavour-control.stub) which is much simpler to track
and update vs. 6 or 8 separate files in each of the meta package flavour
files.

This patch has zero impact as the 'Conflicts:' statements are already
commented out.  This just removes the commented out statements.

Signed-off-by: Leann Ogasawara <leann.ogasawara@canonical.com>
---
 meta-source/debian/control.d/generic     |    2 --
 meta-source/debian/control.d/generic-pae |    2 --
 meta-source/debian/control.d/server      |    2 --
 3 files changed, 0 insertions(+), 6 deletions(-)
Stefan Bader - Dec. 2, 2010, 1:50 p.m.
On 12/02/2010 03:11 AM, Leann Ogasawara wrote:
> BugLink: http://bugs.launchpad.net/bugs/683944
> 
> SRU Justification:
> 
> Examining the Maverick compat-wireless LBM meta packages it appears the
> 'Conflicts:' statements in each of the debian/control.d flavours is
> unnecessary. The LBM packages themselves already have the appropriate
> 'Conflicts:' statements. Furthermore, they are coded in only one
> location in each of the LBM packages
> (debian/control.d/flavour-control.stub) which is much simpler to track
> and update vs multiple separate files in each of the meta package
> flavours.
> 
> Impact: For Maverick there is zero impact as the 'Conflicts:' statements
> are already commented out. The patch for Maverick just removes the
> commented out statements thus preventing them for possibly being enabled
> in the future.
> 
Right seems to have not being used anyway.

Acked-by: Stefan Bader <stefan.bader@canonical.com>

> Test Case: Maverick currently only enables the 2.6.36 compat-wireless
> package (2.6.37 will be enabled once it's final).  Thus there is no test
> case at this time, as it won't conflict with anything.
> 
> The following changes since commit 7129fb4c2565b3a5f6f864efbd96338313aef33c:
> 
>   UBUNTU: Ubuntu-2.6.35.24.28 (2010-11-30 19:41:09 -0800)
> 
> are available in the git repository at:
>   git://kernel.ubuntu.com/ogasawara/ubuntu-maverick-meta.git lp683944
> 
> Leann Ogasawara (1):
>       UBUNTU: Remove conflicts statements for compat-wireless meta packages
> 
>  meta-source/debian/control.d/generic     |    2 --
>  meta-source/debian/control.d/generic-pae |    2 --
>  meta-source/debian/control.d/server      |    2 --
>  3 files changed, 0 insertions(+), 6 deletions(-)
> 
> From fa939977fa5f68fc99bd2134179eca03d236177a Mon Sep 17 00:00:00 2001
> From: Leann Ogasawara <leann.ogasawara@canonical.com>
> Date: Wed, 1 Dec 2010 17:23:45 -0800
> Subject: [PATCH] UBUNTU: Remove conflicts statements for compat-wireless meta packages
> 
> BugLink: http://bugs.launchpad.net/bugs/683944
> 
> Examining the compat-wireless LBM meta packages it appears the
> 'Conflicts:' statements in each of the debian/control.d flavours is
> unnecessary. The LBM packages themselves already have the appropriate
> 'Conflicts:' statements.  Furthermore, they are coded in only one
> location in each of the LBM packages
> (debian/control.d/flavour-control.stub) which is much simpler to track
> and update vs. 6 or 8 separate files in each of the meta package flavour
> files.
> 
> This patch has zero impact as the 'Conflicts:' statements are already
> commented out.  This just removes the commented out statements.
> 
> Signed-off-by: Leann Ogasawara <leann.ogasawara@canonical.com>
> ---
>  meta-source/debian/control.d/generic     |    2 --
>  meta-source/debian/control.d/generic-pae |    2 --
>  meta-source/debian/control.d/server      |    2 --
>  3 files changed, 0 insertions(+), 6 deletions(-)
> 
> diff --git a/meta-source/debian/control.d/generic b/meta-source/debian/control.d/generic
> index 2071941..2a8e4ce 100644
> --- a/meta-source/debian/control.d/generic
> +++ b/meta-source/debian/control.d/generic
> @@ -63,7 +63,6 @@ Description: Backported input drivers for generic kernel image.
>  Package: linux-backports-modules-compat-wireless-2.6.36-RELEASE_NAME-generic
>  Architecture: amd64 i386
>  Depends: ${misc:Depends}, linux-backports-modules-compat-wireless-2.6.36-${kernel-abi-version}-generic
> -#Conflicts: linux-backports-modules-compat-wireless-2.6.37-RELEASE_NAME-generic
>  Description: Backported wireless drivers for generic kernel image.
>   This empty package allows people to keep their backported wireless modules
>   up-to-date when upgrading their Linux kernel.
> @@ -71,7 +70,6 @@ Description: Backported wireless drivers for generic kernel image.
>  #Package: linux-backports-modules-compat-wireless-2.6.37-RELEASE_NAME-generic
>  #Architecture: amd64 i386
>  #Depends: ${misc:Depends}, linux-backports-modules-compat-wireless-2.6.37-${kernel-abi-version}-generic
> -#Conflicts: linux-backports-modules-compat-wireless-2.6.36-RELEASE_NAME-generic
>  #Description: Backported wireless drivers for generic kernel image.
>  # This empty package allows people to keep their backported wireless modules
>  # up-to-date when upgrading their Linux kernel.
> diff --git a/meta-source/debian/control.d/generic-pae b/meta-source/debian/control.d/generic-pae
> index da84d00..3e9eb5f 100644
> --- a/meta-source/debian/control.d/generic-pae
> +++ b/meta-source/debian/control.d/generic-pae
> @@ -63,7 +63,6 @@ Description: Backported input drivers for generic-pae kernel image
>  Package: linux-backports-modules-compat-wireless-2.6.36-RELEASE_NAME-generic-pae
>  Architecture: amd64 i386
>  Depends: ${misc:Depends}, linux-backports-modules-compat-wireless-2.6.36-${kernel-abi-version}-generic-pae
> -#Conflicts: linux-backports-modules-compat-wireless-2.6.37-RELEASE_NAME-generic-pae
>  Description: Backported wireless drivers for generic-pae kernel image.
>   This empty package allows people to keep their backported wireless modules
>   up-to-date when upgrading their Linux kernel.
> @@ -71,7 +70,6 @@ Description: Backported wireless drivers for generic-pae kernel image.
>  #Package: linux-backports-modules-compat-wireless-2.6.37-RELEASE_NAME-generic-pae
>  #Architecture: amd64 i386
>  #Depends: ${misc:Depends}, linux-backports-modules-compat-wireless-2.6.37-${kernel-abi-version}-generic-pae
> -#Conflicts: linux-backports-modules-compat-wireless-2.6.36-RELEASE_NAME-generic-pae
>  #Description: Backported wireless drivers for generic-pae kernel image.
>  # This empty package allows people to keep their backported wireless modules
>  # up-to-date when upgrading their Linux kernel.
> diff --git a/meta-source/debian/control.d/server b/meta-source/debian/control.d/server
> index 96ae438..d1f84a4 100644
> --- a/meta-source/debian/control.d/server
> +++ b/meta-source/debian/control.d/server
> @@ -63,7 +63,6 @@ Description: Backported input drivers for server kernel image
>  Package: linux-backports-modules-compat-wireless-2.6.36-RELEASE_NAME-server
>  Architecture: amd64
>  Depends: ${misc:Depends}, linux-backports-modules-compat-wireless-2.6.36-${kernel-abi-version}-server
> -#Conflicts: linux-backports-modules-compat-wireless-2.6.37-RELEASE_NAME-server
>  Description: Backported wireless drivers for server kernel image
>   This empty package allows people to keep their backported wireless modules
>   up-to-date when upgrading their Linux kernel.
> @@ -71,7 +70,6 @@ Description: Backported wireless drivers for server kernel image
>  #Package: linux-backports-modules-compat-wireless-2.6.37-RELEASE_NAME-server
>  #Architecture: amd64
>  #Depends: ${misc:Depends}, linux-backports-modules-compat-wireless-2.6.37-${kernel-abi-version}-server
> -#Conflicts: linux-backports-modules-compat-wireless-2.6.36-RELEASE_NAME-server
>  #Description: Backported wireless drivers for server kernel image
>  # This empty package allows people to keep their backported wireless modules
>  # up-to-date when upgrading their Linux kernel.
Tim Gardner - Dec. 2, 2010, 2:09 p.m.
On 12/01/2010 07:11 PM, Leann Ogasawara wrote:
> BugLink: http://bugs.launchpad.net/bugs/683944
>
> SRU Justification:
>
> Examining the Maverick compat-wireless LBM meta packages it appears the
> 'Conflicts:' statements in each of the debian/control.d flavours is
> unnecessary. The LBM packages themselves already have the appropriate
> 'Conflicts:' statements. Furthermore, they are coded in only one
> location in each of the LBM packages
> (debian/control.d/flavour-control.stub) which is much simpler to track
> and update vs multiple separate files in each of the meta package
> flavours.
>
> Impact: For Maverick there is zero impact as the 'Conflicts:' statements
> are already commented out. The patch for Maverick just removes the
> commented out statements thus preventing them for possibly being enabled
> in the future.
>
> Test Case: Maverick currently only enables the 2.6.36 compat-wireless
> package (2.6.37 will be enabled once it's final).  Thus there is no test
> case at this time, as it won't conflict with anything.
>
> The following changes since commit 7129fb4c2565b3a5f6f864efbd96338313aef33c:
>
>    UBUNTU: Ubuntu-2.6.35.24.28 (2010-11-30 19:41:09 -0800)
>
> are available in the git repository at:
>    git://kernel.ubuntu.com/ogasawara/ubuntu-maverick-meta.git lp683944
>
> Leann Ogasawara (1):
>        UBUNTU: Remove conflicts statements for compat-wireless meta packages
>
>   meta-source/debian/control.d/generic     |    2 --
>   meta-source/debian/control.d/generic-pae |    2 --
>   meta-source/debian/control.d/server      |    2 --
>   3 files changed, 0 insertions(+), 6 deletions(-)
>
>  From fa939977fa5f68fc99bd2134179eca03d236177a Mon Sep 17 00:00:00 2001
> From: Leann Ogasawara<leann.ogasawara@canonical.com>
> Date: Wed, 1 Dec 2010 17:23:45 -0800
> Subject: [PATCH] UBUNTU: Remove conflicts statements for compat-wireless meta packages
>
> BugLink: http://bugs.launchpad.net/bugs/683944
>
> Examining the compat-wireless LBM meta packages it appears the
> 'Conflicts:' statements in each of the debian/control.d flavours is
> unnecessary. The LBM packages themselves already have the appropriate
> 'Conflicts:' statements.  Furthermore, they are coded in only one
> location in each of the LBM packages
> (debian/control.d/flavour-control.stub) which is much simpler to track
> and update vs. 6 or 8 separate files in each of the meta package flavour
> files.
>
> This patch has zero impact as the 'Conflicts:' statements are already
> commented out.  This just removes the commented out statements.
>
> Signed-off-by: Leann Ogasawara<leann.ogasawara@canonical.com>
> ---
>   meta-source/debian/control.d/generic     |    2 --
>   meta-source/debian/control.d/generic-pae |    2 --
>   meta-source/debian/control.d/server      |    2 --
>   3 files changed, 0 insertions(+), 6 deletions(-)
>
> diff --git a/meta-source/debian/control.d/generic b/meta-source/debian/control.d/generic
> index 2071941..2a8e4ce 100644
> --- a/meta-source/debian/control.d/generic
> +++ b/meta-source/debian/control.d/generic
> @@ -63,7 +63,6 @@ Description: Backported input drivers for generic kernel image.
>   Package: linux-backports-modules-compat-wireless-2.6.36-RELEASE_NAME-generic
>   Architecture: amd64 i386
>   Depends: ${misc:Depends}, linux-backports-modules-compat-wireless-2.6.36-${kernel-abi-version}-generic
> -#Conflicts: linux-backports-modules-compat-wireless-2.6.37-RELEASE_NAME-generic
>   Description: Backported wireless drivers for generic kernel image.
>    This empty package allows people to keep their backported wireless modules
>    up-to-date when upgrading their Linux kernel.
> @@ -71,7 +70,6 @@ Description: Backported wireless drivers for generic kernel image.
>   #Package: linux-backports-modules-compat-wireless-2.6.37-RELEASE_NAME-generic
>   #Architecture: amd64 i386
>   #Depends: ${misc:Depends}, linux-backports-modules-compat-wireless-2.6.37-${kernel-abi-version}-generic
> -#Conflicts: linux-backports-modules-compat-wireless-2.6.36-RELEASE_NAME-generic
>   #Description: Backported wireless drivers for generic kernel image.
>   # This empty package allows people to keep their backported wireless modules
>   # up-to-date when upgrading their Linux kernel.
> diff --git a/meta-source/debian/control.d/generic-pae b/meta-source/debian/control.d/generic-pae
> index da84d00..3e9eb5f 100644
> --- a/meta-source/debian/control.d/generic-pae
> +++ b/meta-source/debian/control.d/generic-pae
> @@ -63,7 +63,6 @@ Description: Backported input drivers for generic-pae kernel image
>   Package: linux-backports-modules-compat-wireless-2.6.36-RELEASE_NAME-generic-pae
>   Architecture: amd64 i386
>   Depends: ${misc:Depends}, linux-backports-modules-compat-wireless-2.6.36-${kernel-abi-version}-generic-pae
> -#Conflicts: linux-backports-modules-compat-wireless-2.6.37-RELEASE_NAME-generic-pae
>   Description: Backported wireless drivers for generic-pae kernel image.
>    This empty package allows people to keep their backported wireless modules
>    up-to-date when upgrading their Linux kernel.
> @@ -71,7 +70,6 @@ Description: Backported wireless drivers for generic-pae kernel image.
>   #Package: linux-backports-modules-compat-wireless-2.6.37-RELEASE_NAME-generic-pae
>   #Architecture: amd64 i386
>   #Depends: ${misc:Depends}, linux-backports-modules-compat-wireless-2.6.37-${kernel-abi-version}-generic-pae
> -#Conflicts: linux-backports-modules-compat-wireless-2.6.36-RELEASE_NAME-generic-pae
>   #Description: Backported wireless drivers for generic-pae kernel image.
>   # This empty package allows people to keep their backported wireless modules
>   # up-to-date when upgrading their Linux kernel.
> diff --git a/meta-source/debian/control.d/server b/meta-source/debian/control.d/server
> index 96ae438..d1f84a4 100644
> --- a/meta-source/debian/control.d/server
> +++ b/meta-source/debian/control.d/server
> @@ -63,7 +63,6 @@ Description: Backported input drivers for server kernel image
>   Package: linux-backports-modules-compat-wireless-2.6.36-RELEASE_NAME-server
>   Architecture: amd64
>   Depends: ${misc:Depends}, linux-backports-modules-compat-wireless-2.6.36-${kernel-abi-version}-server
> -#Conflicts: linux-backports-modules-compat-wireless-2.6.37-RELEASE_NAME-server
>   Description: Backported wireless drivers for server kernel image
>    This empty package allows people to keep their backported wireless modules
>    up-to-date when upgrading their Linux kernel.
> @@ -71,7 +70,6 @@ Description: Backported wireless drivers for server kernel image
>   #Package: linux-backports-modules-compat-wireless-2.6.37-RELEASE_NAME-server
>   #Architecture: amd64
>   #Depends: ${misc:Depends}, linux-backports-modules-compat-wireless-2.6.37-${kernel-abi-version}-server
> -#Conflicts: linux-backports-modules-compat-wireless-2.6.36-RELEASE_NAME-server
>   #Description: Backported wireless drivers for server kernel image
>   # This empty package allows people to keep their backported wireless modules
>   # up-to-date when upgrading their Linux kernel.

Of course this seems reasonable since I was the one to suggest it :)

Acked-by: Tim Gardner <tim.gardner@canonical.com>
Tim Gardner - Dec. 8, 2010, 3:14 p.m.
On 12/01/2010 07:11 PM, Leann Ogasawara wrote:
> BugLink: http://bugs.launchpad.net/bugs/683944
>
> SRU Justification:
>
> Examining the Maverick compat-wireless LBM meta packages it appears the
> 'Conflicts:' statements in each of the debian/control.d flavours is
> unnecessary. The LBM packages themselves already have the appropriate
> 'Conflicts:' statements. Furthermore, they are coded in only one
> location in each of the LBM packages
> (debian/control.d/flavour-control.stub) which is much simpler to track
> and update vs multiple separate files in each of the meta package
> flavours.
>
> Impact: For Maverick there is zero impact as the 'Conflicts:' statements
> are already commented out. The patch for Maverick just removes the
> commented out statements thus preventing them for possibly being enabled
> in the future.
>
> Test Case: Maverick currently only enables the 2.6.36 compat-wireless
> package (2.6.37 will be enabled once it's final).  Thus there is no test
> case at this time, as it won't conflict with anything.
>
> The following changes since commit 7129fb4c2565b3a5f6f864efbd96338313aef33c:
>
>    UBUNTU: Ubuntu-2.6.35.24.28 (2010-11-30 19:41:09 -0800)
>
> are available in the git repository at:
>    git://kernel.ubuntu.com/ogasawara/ubuntu-maverick-meta.git lp683944
>
> Leann Ogasawara (1):
>        UBUNTU: Remove conflicts statements for compat-wireless meta packages
>
>   meta-source/debian/control.d/generic     |    2 --
>   meta-source/debian/control.d/generic-pae |    2 --
>   meta-source/debian/control.d/server      |    2 --
>   3 files changed, 0 insertions(+), 6 deletions(-)
>
>  From fa939977fa5f68fc99bd2134179eca03d236177a Mon Sep 17 00:00:00 2001
> From: Leann Ogasawara<leann.ogasawara@canonical.com>
> Date: Wed, 1 Dec 2010 17:23:45 -0800
> Subject: [PATCH] UBUNTU: Remove conflicts statements for compat-wireless meta packages
>
> BugLink: http://bugs.launchpad.net/bugs/683944
>
> Examining the compat-wireless LBM meta packages it appears the
> 'Conflicts:' statements in each of the debian/control.d flavours is
> unnecessary. The LBM packages themselves already have the appropriate
> 'Conflicts:' statements.  Furthermore, they are coded in only one
> location in each of the LBM packages
> (debian/control.d/flavour-control.stub) which is much simpler to track
> and update vs. 6 or 8 separate files in each of the meta package flavour
> files.
>
> This patch has zero impact as the 'Conflicts:' statements are already
> commented out.  This just removes the commented out statements.
>
> Signed-off-by: Leann Ogasawara<leann.ogasawara@canonical.com>
> ---
>   meta-source/debian/control.d/generic     |    2 --
>   meta-source/debian/control.d/generic-pae |    2 --
>   meta-source/debian/control.d/server      |    2 --
>   3 files changed, 0 insertions(+), 6 deletions(-)
>
> diff --git a/meta-source/debian/control.d/generic b/meta-source/debian/control.d/generic
> index 2071941..2a8e4ce 100644
> --- a/meta-source/debian/control.d/generic
> +++ b/meta-source/debian/control.d/generic
> @@ -63,7 +63,6 @@ Description: Backported input drivers for generic kernel image.
>   Package: linux-backports-modules-compat-wireless-2.6.36-RELEASE_NAME-generic
>   Architecture: amd64 i386
>   Depends: ${misc:Depends}, linux-backports-modules-compat-wireless-2.6.36-${kernel-abi-version}-generic
> -#Conflicts: linux-backports-modules-compat-wireless-2.6.37-RELEASE_NAME-generic
>   Description: Backported wireless drivers for generic kernel image.
>    This empty package allows people to keep their backported wireless modules
>    up-to-date when upgrading their Linux kernel.
> @@ -71,7 +70,6 @@ Description: Backported wireless drivers for generic kernel image.
>   #Package: linux-backports-modules-compat-wireless-2.6.37-RELEASE_NAME-generic
>   #Architecture: amd64 i386
>   #Depends: ${misc:Depends}, linux-backports-modules-compat-wireless-2.6.37-${kernel-abi-version}-generic
> -#Conflicts: linux-backports-modules-compat-wireless-2.6.36-RELEASE_NAME-generic
>   #Description: Backported wireless drivers for generic kernel image.
>   # This empty package allows people to keep their backported wireless modules
>   # up-to-date when upgrading their Linux kernel.
> diff --git a/meta-source/debian/control.d/generic-pae b/meta-source/debian/control.d/generic-pae
> index da84d00..3e9eb5f 100644
> --- a/meta-source/debian/control.d/generic-pae
> +++ b/meta-source/debian/control.d/generic-pae
> @@ -63,7 +63,6 @@ Description: Backported input drivers for generic-pae kernel image
>   Package: linux-backports-modules-compat-wireless-2.6.36-RELEASE_NAME-generic-pae
>   Architecture: amd64 i386
>   Depends: ${misc:Depends}, linux-backports-modules-compat-wireless-2.6.36-${kernel-abi-version}-generic-pae
> -#Conflicts: linux-backports-modules-compat-wireless-2.6.37-RELEASE_NAME-generic-pae
>   Description: Backported wireless drivers for generic-pae kernel image.
>    This empty package allows people to keep their backported wireless modules
>    up-to-date when upgrading their Linux kernel.
> @@ -71,7 +70,6 @@ Description: Backported wireless drivers for generic-pae kernel image.
>   #Package: linux-backports-modules-compat-wireless-2.6.37-RELEASE_NAME-generic-pae
>   #Architecture: amd64 i386
>   #Depends: ${misc:Depends}, linux-backports-modules-compat-wireless-2.6.37-${kernel-abi-version}-generic-pae
> -#Conflicts: linux-backports-modules-compat-wireless-2.6.36-RELEASE_NAME-generic-pae
>   #Description: Backported wireless drivers for generic-pae kernel image.
>   # This empty package allows people to keep their backported wireless modules
>   # up-to-date when upgrading their Linux kernel.
> diff --git a/meta-source/debian/control.d/server b/meta-source/debian/control.d/server
> index 96ae438..d1f84a4 100644
> --- a/meta-source/debian/control.d/server
> +++ b/meta-source/debian/control.d/server
> @@ -63,7 +63,6 @@ Description: Backported input drivers for server kernel image
>   Package: linux-backports-modules-compat-wireless-2.6.36-RELEASE_NAME-server
>   Architecture: amd64
>   Depends: ${misc:Depends}, linux-backports-modules-compat-wireless-2.6.36-${kernel-abi-version}-server
> -#Conflicts: linux-backports-modules-compat-wireless-2.6.37-RELEASE_NAME-server
>   Description: Backported wireless drivers for server kernel image
>    This empty package allows people to keep their backported wireless modules
>    up-to-date when upgrading their Linux kernel.
> @@ -71,7 +70,6 @@ Description: Backported wireless drivers for server kernel image
>   #Package: linux-backports-modules-compat-wireless-2.6.37-RELEASE_NAME-server
>   #Architecture: amd64
>   #Depends: ${misc:Depends}, linux-backports-modules-compat-wireless-2.6.37-${kernel-abi-version}-server
> -#Conflicts: linux-backports-modules-compat-wireless-2.6.36-RELEASE_NAME-server
>   #Description: Backported wireless drivers for server kernel image
>   # This empty package allows people to keep their backported wireless modules
>   # up-to-date when upgrading their Linux kernel.

applied to Maverick